Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdist
Class JohnsonSBDist

    java.lang.Object
      umontreal.iro.lecuyer.probdist.ContinuousDistribution
          umontreal.iro.lecuyer.probdist.JohnsonSBDist

All Implemented Interfaces:
  Distribution

    public class JohnsonSBDist

extends ContinuousDistribution

Extends the class `ContinuousDistribution` for the Johnson SB distribution with shape parameters γ and δ > 0, location parameter ξ, and scale parameter λ > 0. Denoting y = (x - ξ)/λ, the density is

f (x) = δ/(λy(1-y)(2π)1/2exp(- (1/2)[γ + δln(y/(1 - y))]2)) for ξ < x < ξ + λ,

and 0 elsewhere. The distribution function is

F(x) = Φ[γ + δln(y/(1 - y))], for ξ < x < ξ + λ,

where Φ is the standard normal distribution function. The inverse distribution function is

F-1(u) = ξ + λ(1/(1 + e-v(u))) for 0 <= u <= 1,

where

v(u) = [Φ-1(u) - γ]/δ.

This class relies on the methods `NormalDist.cdf01` and `NormalDist.inverseF01` of `NormalDist` to approximate Φ and Φ-1.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`decPrec`

Constructor Summary
`JohnsonSBDist(double gamma, double delta, double xi, double lambda)` Constructs a `JohnsonSBDist` object with shape parameters γ and δ, location parameter ξ and scale parameter λ.

Method Summary
`static double` | `barF(double gamma, double delta, double xi, double lambda, double x)` Computes the complementary distribution.
`double` | `cdf(double x)` Returns the distribution function F(x).
`static double` | `cdf(double gamma, double delta, double xi, double lambda, double x)` Computes the distribution function.
`double` | `density(double x)` Returns f (x), the density evaluated at x.
`static double` | `density(double gamma, double delta, double xi, double lambda, double x)` Computes the density function.
`double` | `getDelta()` Returns the value of δ for this object.
`double` | `getGamma()` Returns the value of γ for this object.
`double` | `getLambda()` Returns the value of λ for this object.
`double[]` | `getParams()` Return a table containing the parameters of the current distribution.
`double` | `getXi()` Returns the value of ξ for this object.
`double` | `inverseF(double u)` Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`.
`static double` | `inverseF(double gamma, double delta, double xi, double lambda, double u)` Computes the inverse of the distribution.
`void` | `setParams(double gamma, double delta, double xi, double lambda)` Sets the value of the parameters γ, δ, ξ and λ for this object.
`String` | `toString()`

Methods inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`barF, getMean, getStandardDeviation, getVariance, inverseBisection, inverseBrent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JohnsonSBDist

    public JohnsonSBDist(double gamma,
                         double delta,
                         double xi,
                         double lambda)

  Constructs a `JohnsonSBDist` object with shape parameters γ and δ, location parameter ξ and scale parameter λ.

Method Detail

### density

    public double density(double x)

  Description copied from class: `ContinuousDistribution`
  Returns f (x), the density evaluated at x.

  Specified by:
    `density` in class `ContinuousDistribution`
  Parameters:
    `x` - value at which the density is evaluated
  Returns:
    density function evaluated at `x`

### cdf

    public double cdf(double x)

  Description copied from interface: `Distribution`
  Returns the distribution function F(x).

  Parameters:
    `x` - value at which the distribution function is evaluated
  Returns:
    distribution function evaluated at `x`

### inverseF

    public double inverseF(double u)

  Description copied from class: `ContinuousDistribution`
  Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`. Restrictions: u∈[0, 1].

  Specified by:
    `inverseF` in interface `Distribution`
  Overrides:
    `inverseF` in class `ContinuousDistribution`
  Parameters:
    `u` - value at which the inverse distribution function is evaluated
  Returns:
    the inverse distribution function evaluated at `u`

### density

    public static double density(double gamma,
                                 double delta,
                                 double xi,
                                 double lambda,
                                 double x)

  Computes the density function.

### cdf

    public static double cdf(double gamma,
                             double delta,
                             double xi,
                             double lambda,
                             double x)

  Computes the distribution function.

### barF

    public static double barF(double gamma,
                              double delta,
                              double xi,
                              double lambda,
                              double x)

  Computes the complementary distribution.

### inverseF

    public static double inverseF(double gamma,
                                  double delta,
                                  double xi,
                                  double lambda,
                                  double u)

  Computes the inverse of the distribution.

### getGamma

    public double getGamma()

  Returns the value of γ for this object.

### getDelta

    public double getDelta()

  Returns the value of δ for this object.

### getXi

    public double getXi()

  Returns the value of ξ for this object.

### getLambda

    public double getLambda()

  Returns the value of λ for this object.

### setParams

    public void setParams(double gamma,
                          double delta,
                          double xi,
                          double lambda)

  Sets the value of the parameters γ, δ, ξ and λ for this object.

### getParams

    public double[] getParams()

  Return a table containing the parameters of the current distribution. This table is put in regular order: [γ, δ, ξ, λ].

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.